STRRSTR(3pub)

NAME
strrstr - locate last occurrence of substring

SYNOPSIS
#include <publib.h>
char *strrstr(const char *str, const char *pat);

DESCRIPTION
strrstr finds the last occurrence of the string pat in the string str. The terminating '\0' characters are not compared.

RETURN VALUE
strrstr returns a pointer to the first character of the substring, or NULL if the substring is not found.

EXAMPLE
To print out everything on each line starting with the last occurrence of "/* " on each line, you might use the following code:

#include <stdio.h>
#include <publib.h>

int main(void) {
	char *p, line[512];

	while (fgets(line, sizeof(line), stdin) != NULL) {
		p = strrstr(line, "/* ");
		if (p != NULL)
			printf("%s", p);
	}
	return 0;
}

SEE ALSO
publib(3), string(3), strstr(3)

AUTHOR
Lars Wirzenius (lars.wirzenius@helsinki.fi)